﻿B4A=true
Group=CLASSES
ModulesStructureVersion=1
Type=Class
Version=10.45
@EndOfDesignText@
' clsMyClass - Standard Class
' Author:
#Region VERSIONS 
'	1.0.0.	00/00/2021
#End Region

#Region EVENTS' DECLARATIONS 
#End Region

Sub Class_Globals
	Private mCallback As Object
	Private mEventName As String
	
#Region PROPERTIES' MEMBER VARIABLES 
	Private mProp As Int
#End Region
	
End Sub

Public Sub Initialize(Callback As Object, EventName As String)
	mCallback = Callback
	mEventName = EventName
End Sub

#Region PROPERTIES 

Public Sub setProp(Prop As Int)
	mProp = Prop
End Sub
Public Sub getProp As Int
	Return mProp
End Sub

#End Region

#Region PUBLIC METHODS 
#End Region

#Region PRIVATE METHODS 

Private Sub RaiseEvent(EvName As String, Params As List) 'ignore
	Dim FullRoutineName As String
	FullRoutineName = mEventName & "_" & EvName
	If SubExists(mCallback, FullRoutineName) Then
		If Not(Params.IsInitialized) Or Params.Size = 0 Then
			CallSubDelayed(mCallback, FullRoutineName)
		Else
			Select Params.Size
				Case 1
					CallSubDelayed2(mCallback, FullRoutineName, Params.Get(0))
				Case 2
					CallSubDelayed3(mCallback, FullRoutineName, Params.Get(0), Params.Get(1))
			End Select
		End If
	End If
End Sub

#End Region

#Region EVENTS 
#End Region
